%mencoba nilai kpkikd u/ digital
kp=1.2
ki=8.33
kd=2.08
t=0.05
z0=kd/2
z1=-1-kp*t/2-kd/2
z2=3+ki*t^2/2-kd/2
z3=-3+kp*t/2+ki*t^2/2+kd/2
j=[1 z3 z2 z1 z0]
k=roots(j)
%mencoba nilai kpkikd u/ analog
l=[1 kd kp ki]
m=roots(l)
